Page MenuHomePhabricator

Update Gerrit documentation on user interface for Gerrit 3.2 on mediawiki.org
Closed, ResolvedPublic

Description

PolyGerrit is now the default User Interface (and only User Interface) in Gerrit. Our documentation should reflect this when we upgrade (https://www.mediawiki.org/wiki/Gerrit/Tutorial).

Related Objects

Event Timeline

Aklapper created this task.Jul 9 2019, 8:21 AM
Aklapper added a project: Documentation.
Paladox added a subscriber: Paladox.EditedJul 9 2019, 2:07 PM

The page has images for PolyGerrit & GWTUI on the page. It even refers to switching back and fourth.

Though the only places that would need updating is https://www.mediawiki.org/wiki/Gerrit/Tutorial#Editing_via_the_web-interface (as creating changes is different & also to edit is different too).

Another thing all references to /admin/projects/* will have to be updated to /admin/repos/* though there are redirects in place.

All this should be done after the update though.

thcipriani triaged this task as Medium priority.Sep 9 2019, 3:56 PM
thcipriani moved this task from INBOX to Ready on the Release-Engineering-Team-TODO (201909) board.
Paladox renamed this task from Update Gerrit documentation on mediawiki.org before upgrading to Gerrit 2.16.x / PolyGerrit UI to Update Gerrit Document on the User Interface (for 3.1).Jun 4 2020, 8:32 PM
Paladox updated the task description. (Show Details)
Dvorapa added a subscriber: Dvorapa.Jun 5 2020, 8:53 AM
Dvorapa removed a subscriber: Dvorapa.

This must be connected to T254158 - please also add new parent tasks when removing old parent tasks.

Aklapper renamed this task from Update Gerrit Document on the User Interface (for 3.1) to Update Gerrit documentation on user interface (for 3.1) on mediawiki.org.Jun 6 2020, 8:10 AM
Dzahn added a subscriber: Dzahn.Jun 27 2020, 8:19 PM

Gerrit is now on 3.2 :)

Aklapper renamed this task from Update Gerrit documentation on user interface (for 3.1) on mediawiki.org to Update Gerrit documentation on user interface for Gerrit 3.2 on mediawiki.org.Jun 27 2020, 9:35 PM

I have made a few edits and updated the screenshots, however the lower part of the page (which is about the web UI) welcomes a review.

Aklapper closed this task as Resolved.Jun 28 2020, 3:13 PM
Aklapper claimed this task.